Skip to main content
POST
/
startup-scripts
Create a startup script
curl --request POST \
  --url https://console.wenium.com/api/startup-scripts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Install Web Server",
  "content": "#!/bin/bash\napt install nginx -y"
}
'
{
  "status": true,
  "message": "Startup script created.",
  "data": {
    "id": 1,
    "name": "Install Nginx",
    "content": "#!/bin/bash\napt-get update\napt-get install -y nginx",
    "is_active": true,
    "user_id": 1,
    "created_at": "2026-07-03T00:00:00.000000Z",
    "updated_at": "2026-07-03T00:00:00.000000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required
Example:

"Install Web Server"

content
string
required
Example:

"#!/bin/bash\napt install nginx -y"

Response

200 - application/json

Script created

status
boolean
Example:

true

message
string
Example:

"Startup script created."

data
object